Re-merge apache2 for kinetic

Bug #1982048 reported by Bryce Harrington
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apache2 (Ubuntu)
Fix Released
Undecided
Bryce Harrington

Bug Description

We already did the Apache2 merge once for kinetic, as version 2.4.53-2ubuntu1. However there is a new merge available from Debian with a new upstream and some security fixes:

apache2 (2.4.54-2) unstable; urgency=medium

  * Move cgid socket into a writeable directory (Closes: #1014056)
  * Update lintian overrides
  * Declare compliance with policy 4.6.1
  * Install NOTICE in each package

 -- Yadd <email address hidden> Tue, 05 Jul 2022 15:49:58 +0200

apache2 (2.4.54-1) unstable; urgency=medium

  [ Simon Deziel ]
  * Escape literal "." for BrowserMatch directives in setenvif.conf
  * Use non-capturing regex with FilesMatch directive in default-ssl.conf

  [ Ondřej Surý ]
  * New upstream version 2.4.54 (Closes: #1012513, CVE-2022-31813,
    CVE-2022-26377, CVE-2022-28614, CVE-2022-28615, CVE-2022-29404,
    CVE-2022-30522, CVE-2022-30556, CVE-2022-28330)

  [ Yadd ]
  * Fix htcacheclean doc (Closes: #1010455)
  * New upstream version 2.4.54

 -- Yadd <email address hidden> Thu, 09 Jun 2022 06:33:53 +0200

No Ubuntu delta gets dropped this time; everything that remains is ubuntu-specific.

Security wants this merge included in kinetic since it carries a number of CVEs. So this saves them some patching work that would otherwise be necessary.

Tags: needs-merge

Related branches

Changed in apache2 (Ubuntu):
milestone: none → ubuntu-22.07
Revision history for this message
Bryce Harrington (bryce) wrote :

MP posted for review.

Changed in apache2 (Ubuntu):
status: New → In Progress
assignee: nobody → Bryce Harrington (bryce)
Bryce Harrington (bryce)
Changed in apache2 (Ubuntu):
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apache2 - 2.4.54-2ubuntu1

---------------
apache2 (2.4.54-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1982048). Remaining changes:
    - d/index.html, d/icons/ubuntu-logo.png, d/apache2.postrm,
      d/source/include-binaries: Replace Debian with Ubuntu on default
      homepage.
      (LP #1966004)
    - d/apache2.py, d/apache2-bin.install: Add apport hook
      (LP #609177)
    - d/control, d/apache2.install, d/apache2-utils.ufw.profile,
      d/apache2.dirs: Add ufw profiles
      (LP #261198)

 -- Bryce Harrington <email address hidden> Thu, 21 Jul 2022 19:38:00 +0000

Changed in apache2 (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers